## org.omg.Messaging
Class RequestEndTimePolicyHelper

    java.lang.Object
      |
      +--org.omg.Messaging.RequestEndTimePolicyHelper

public class RequestEndTimePolicyHelper
extends java.lang.Object

Helper class for : RequestEndTimePolicy

Author:
  OpenORB Compiler

Constructor Summary
`RequestEndTimePolicyHelper()`

Method Summary
`static RequestEndTimePolicy` `extract(Any a)` Extract RequestEndTimePolicy from an any
`static java.lang.String` `id()` Return the RequestEndTimePolicy IDL ID
`static void` `insert(Any a, RequestEndTimePolicy t)` Insert RequestEndTimePolicy into an any
`static RequestEndTimePolicy` `narrow(Object obj)` Narrow CORBA::Object to RequestEndTimePolicy
`static RequestEndTimePolicy` `read(InputStream istream)` Read RequestEndTimePolicy from a marshalled stream
`static TypeCode` `type()` Return the RequestEndTimePolicy TypeCode
`static RequestEndTimePolicy` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to RequestEndTimePolicy
`static void` `write(OutputStream ostream, RequestEndTimePolicy value)` Write RequestEndTimePolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestEndTimePolicyHelper

    public RequestEndTimePolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              RequestEndTimePolicy t)

  Insert RequestEndTimePolicy into an any
  Parameters:
    `a` - an any
    `t` - RequestEndTimePolicy value

### extract

    public static RequestEndTimePolicy extract(Any a)

  Extract RequestEndTimePolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted RequestEndTimePolicy value

### type

    public static TypeCode type()

  Return the RequestEndTimePolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the RequestEndTimePolicy IDL ID
  Returns:
    an ID

### read

    public static RequestEndTimePolicy read(InputStream istream)

  Read RequestEndTimePolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed RequestEndTimePolicy value

### write

    public static void write(OutputStream ostream,
                             RequestEndTimePolicy value)

  Write RequestEndTimePolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - RequestEndTimePolicy value

### narrow

    public static RequestEndTimePolicy narrow(Object obj)

  Narrow CORBA::Object to RequestEndTimePolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    RequestEndTimePolicy Object

### unchecked_narrow

    public static RequestEndTimePolicy unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to RequestEndTimePolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    RequestEndTimePolicy Object